---
updatedAt: 2026-05-13T16:18:33.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Soroban

**Step 1:** To access Soroban, use the following native access endpoint:

* **Network**: Stellar Mainnet
* **Request Type:** GET / POST

```
https://svc.blockdaemon.com/stellar/mainnet/native/soroban-rpc
```

* **Network**: Stellar Testnet
* **Request Type**: GET / POST

```
https://svc.blockdaemon.com/stellar/testnet/native/soroban-rpc
```

**Step 2:** Authenticate your request using your API key. You can include the API key using either of the following headers:

```curl Bearer Token
Authorization: Bearer YOUR_API_KEY
```

```curl X-API-Key
X-API-Key: YOUR_API_KEY
```

**Step 3:** Specify a Soroban method in the request body:

> Learn more about Stellar Soroban methods [here](https://docs.blockdaemon.com/reference/soroban-stellar-methods-rpc-api).

```json
{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "YOUR_METHOD",
    "params": []
}
```

### Example Request

Here is a cURL example for retrieving the current latest known ledger. This is a subset of the ledger info from Horizon.

```curl
curl --location 'https://svc.blockdaemon.com/stellar/mainnet/native/soroban-rpc' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer SecretYES' \
--data '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "getLatestLedger"
}'
```

Here's what a typical response object will look like:

```json
{
   "jsonrpc":"2.0",
   "id":1,
   "result":{
      "latestLedger":"123456"
   }
}
```

## 👋 Need Help?

Contact us through [email](mailto:support@blockdaemon.com) or our [support page](https://www.blockdaemon.com/support) for any issues, bugs, or assistance you may need.